<?php
include ("../conexion.php");
include ("../funciones/fechas.php");

$cdgcli=$_POST["cdgcli"];
$dsccli=strtoupper($_POST["dsccli"]);
$numnot=$_POST["numnota"];
$tipapli=$_POST["combotipoaplicacion"];

$fechainicio=$_POST["fechainicio"];
$fechafin=$_POST["fechafin"];


$fechainicio= implode("-", array_reverse(explode("-", $fechainicio))); 
$fechafin= implode("-", array_reverse(explode("-", $fechafin))); 


$cadena_busqueda=$_POST["cadena_busqueda"];

$where="1=1";
if ($cdgcli <> "") { $where.=" AND cdgcli='$cdgcli'"; }
if ($tipapli <> "") { $where.=" AND tipapli='$tipapli'"; }
if ($dsccli <> "") { $where.=" AND dsccli like '%".$dsccli."%'"; }
if ($numnot <> "") { $where.=" AND codnota='$numnot'"; }

if (($fechainicio<>"") and ($fechafin<>"")) {
	 $where.=" AND  fecha between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND  fecha>='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND  fecha<='".$fechafin."'";
		}
	}
}

$where.=" ORDER BY codnota DESC LIMIT 300 ";


 ////////////////////////   Averigua el numero de FILAS ////////////////////////////
if ($result = $mysqli->query("SELECT codnota FROM facturas_notas_debito WHERE   ".$where )) {
   $filas = $result->num_rows;
   $result->close();
}

?>
<html>
	<head>
		<title>Clientes</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
	
		
		function ver_nota(codnota) {
			parent.location.href="ver_nota.php?codnota=" + codnota + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
		}
		
		function modificar_proforma(codnota,marcaestado) {
			if (marcaestado==1) {
				parent.location.href="modificar_proforma.php?codnota=" + codnota + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
			} else {
				alert ("No puede modificar una factura ya pagada.");
			}
		}
		
	//////////////////////////////////////  funcion anular factura //////////////////////////////////////////////////////

		function eliminar_nota(codnota,marcaborrado) {
			if (marcaborrado==1) {
		       alert ("Favor verifique Nota de Credito ya fue ANULADA !");
					} else {	
			parent.location.href="eliminar_nota.php?codnota=" + codnota + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
			
			}
		}
					      


		function imprimir(codnota,marcaborrado) {
	if (marcaborrado==1) {
 alert ("Nota de Credito ya fue anulada no puede ser reimpresa favor verifique")
	 
	} else {	
			//	window.open("../fpdf/imprimir_nota_Original.php?codnota="+codnota);
				window.open("../fpdf/imprimir_nota_Punto_Venta.php?codnota="+codnota);
			
			}
		}
		
	
		function ver_pagos(codnota, cdgcli, marcaborrado) {
	

				if (marcaborrado==1) {
  
   alert ("Nota de Credito ya fue anulada no puede ser reimpresa favor verifique")
  
	 
	} else {	
			
		
		miPopup = window.open("ver_pagos.php?codnota=" + codnota + "&cdgcli=" + cdgcli,"miwin","width=800,height=400,scrollbars=yes");
				buscar();
			miPopup.focus();

		}
		

		}	
		
		
				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

	function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}	
		</script>
	</head>

	<body onload= nobackbutton(); inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente8" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">
			<input type="hidden" name=" totalnotas" id=" totalnotas" value="<?php echo $totalnotas?>">
<?php
$contador=0;
$marcaestado=0;	
$marcaborrado=0;	
if ( $filas > 0) {
 
$consulta2 = "SELECT codnota FROM facturas_notas_debito WHERE ".$where;

if ($resultado2 = $mysqli->query($consulta2)) 
 
    while ($fila2 = $resultado2->fetch_assoc()) {
	
	
    $codnota = $fila2["codnota"];
		
	$consulta = "SELECT codnota,dsccli, cdgcli,fecha , borrado , numcomp , totalnota,tipapli,clanumref FROM facturas_notas_debito WHERE   codnota='$codnota'  ";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();

			
        $marcaborrado = $fila["borrado"];  //
        $fecha = $fila["fecha"];   //
		$fecha= implode("-", array_reverse(explode("-", $fecha)));   //
		$codnota = $fila["codnota"];
		$cdgcli = $fila["cdgcli"];
		$dsccli = $fila["dsccli"];
		$totalnota = $fila["totalnota"];
     	$numcomp = $fila["numcomp"];
		$tipapli   = $fila["tipapli"];
		$clanumref   = $fila["clanumref"];
		$dsccli = substr($dsccli, 0, 55); 
		
	  $facturas = "SELECT numcomp FROM facturas WHERE cdgclave = '$clanumref' AND  cdgcli ='$cdgcli' ";
       $result_facturas = $mysqli->query($facturas);
       $row_facturas= $result_facturas->fetch_array();
	    $filas_factura = $result_facturas->num_rows;

if ($filas_factura > 0) { 
 $factura = $row_facturas["numcomp"]; }else {  $factura = ""; }


	   
		  

	   $resultado->close();														
		if ($marcaborrado == 1) { $borrado="Nula"; } else { $borrado=""; } 
		
		if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
		
								<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >

								<td  width="2%"><?php $contador+1;?></td>
								<td width="21%"><div align="left"><?php echo $numcomp ?></div></td>
								<td width="21%"><div align="left"><?php echo $factura ?></div></td>

                               <td width="12%"><div align="left"><?php echo $fecha?></div></td>
								<td width="8%"><div align="left"><?php echo $cdgcli?></div></td>	
								<td width="27%"><div align="left"><?php echo $dsccli?></div></td>	
								<td width="6%"><div align="left"><?php echo $borrado; ?></div></td>							
								<td width="8%"><div align="right"><?php echo number_format($totalnota,2,".",",")?></div></td>
		
								<td width="4%">&nbsp;</td>
								<td width="4%"><a href="#"><img src="../img/Printer_Icon_32.png" alt="im" width="32" height="32" border="0" title="imprimir" onClick="imprimir(<?php echo $codnota?> , <?php echo $marcaborrado  ?> )"></a></td>
								<td width="2%"><a href="#"><img src="../img/Search_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="ver_nota(<?php echo $codnota ?> )" title="Visualizar"></a></td>
								<td width="3%"> <?php //if ($tipapli<> 1)  { ?>    <div align="center"><a href="#"><img src="../img/pagar.png" width="25" height="25" border="0" onClick="ver_pagos(<?php echo $codnota ?>, <?php echo $cdgcli ?>, <?php echo $marcaborrado ?>)" title="Documentos"></a></div>  <?php //} ?>   </td>
						</tr>
						</tr>	
						<?php $contador++;
							}
							   $resultado2->close();
						?>			
					</table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo "No hay ninguna Nota de Credito que cumpla con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<?php } ?>					
			  </div>
			</div>
		  </div>			
		</div>
	</body>
</html>
